function selectPono(val) {
  var pathn = $('meta[name="api-url"]').attr("content") + "suppliersearchdata";
  var i = 1;

  var reporttables = $("#search-supplier-po").DataTable({
    order: [[0, "desc"]],
    serverSide: true,
    stateSave: true,
    processing: true,
    pageLength: 20,
    lengthMenu: [
      [
        20, 50, 75, 100, 125, 150, 175, 200, 225, 250, 275, 300, 325, 350, 375,
        400, 420, 450, 475, 500,
      ],
      [
        20, 50, 75, 100, 125, 150, 175, 200, 225, 250, 275, 300, 325, 350, 375,
        400, 420, 450, 475, 500,
      ],
    ],
    oLanguage: {
      sProcessing:
        '<div class="lds-css"><div style="width:100%;height:100%" class="lds-eclipse"><div></div><p>Please wait while we are processing your request.</p></div></div>',
    },
    ajax: {
      type: "POST",
      url: pathn,
      data: function (d) {
        key = $(this).val();
      },
      headers: {
        Authorization: "Bearer " + sessionStorage.getItem("token"),
      },
    },

    beforeSend: function (xhr) {
      xhr.setRequestHeader(
        "Authorization",
        "Bearer " + sessionStorage.getItem("token")
      );
    },
    searching: false,
    iDisplayLength: 20,
    columnDefs: [
      {
        targets: 0,
        className: "text-center",
        render: function (data, type, row, meta) {
          return i++;
        },
      },
      {
        targets: 1,
        orderable: true,
        render: function (data, type, row, meta) {
          return (
            '<input type="checkbox" name="selectedCheckbox[]" value="' +
            row.someValue +
            '">'
          );
        },
      },
      {
        targets: 2,
        orderable: true,
        render: function (data, type, row, meta) {
          return row.pono;
        },
      },
      {
        targets: 3,
        orderable: true,
        render: function (data, type, row, meta) {
          return row.podate;
        },
      },
      {
        targets: 4,
        orderable: true,
        render: function (data, type, row, meta) {
          return row.poamount;
        },
      },

      {
        targets: 5,
        orderable: true,
        render: function (data, type, row, meta) {
          return row.reqdate;
        },
      },
      {
        targets: 6,
        orderable: true,
        render: function (data, type, row, meta) {
          return row.commitedate;
        },
      },
      {
        targets: 7,
        orderable: true,
        render: function (data, type, row, meta) {
          return row.status;
        },
      },
    ],
  });
}
